<%@ page errorPage="inputserror.jsp" 
import="com.ibm.etools.webservice.rt.framework.*"
import="com.ibm.etools.webservice.rt.framework.abstraction.GroupManager" 
import="com.ibm.etools.webservice.rt.framework.abstraction.Factory" %>
<%

String contextPath = request.getContextPath();
String groupName = request.getParameter("groupName");
String id = request.getParameter("id");
String operationName = request.getParameter("operationName");

Group group = Factory.getGroup(contextPath, groupName);

String resource = group.getResourceFromId(id);



Service service = group.getService(resource);

Operation operation = service.findOperation(operationName);
String documentation = operation.getDocumentation();
String action = response.encodeURL(service.makeLocationUri(request) + "/" + operationName);

%>

<HTML>
<HEAD>
<TITLE>Inputs</TITLE>

<script src="browserstyle.js" type="text/javascript"></script>

</HEAD>

<BODY id="propertiesbody">


<FORM METHOD="POST" ACTION="<%=action%>" TARGET="results">



<div id="propertiescontainer">

<TABLE BORDER="0" CELLSPACING="0" CELLPADDING="0" WIDTH="100%">
<TR>
<TD width="13"><IMG SRC="operation8.gif" BORDER="0" HEIGHT="18" WIDTH="18"></TD>
<TD nowrap="nowrap" class="heading"><%=operationName%> Operation</TD>
</tr>

<tr><TD nowrap="nowrap">&nbsp;</TD></tr>

</table>


<%
OperationParameter[] parameters = operation.getParameters();
OperationParameter[] inputs = OperationParameter.getInputs(parameters);
for (int i = 0; i < inputs.length; i++) {
String name = inputs[i].getName();
//org.apache.soap.util.xml.QName qname = inputs[i].getQname();
javax.xml.namespace.QName qname = inputs[i].getQname();
String localPart = (qname == null) ? "Element" : qname.getLocalPart();
String namespaceUri = (qname == null) ? "" : qname.getNamespaceURI();
%>



<TABLE BORDER="0" CELLSPACING="0" CELLPADDING="3" WIDTH="100%">
<!-- Parameter -->
<TR>
<TD WIDTH="13"><IMG SRC="field8.gif" BORDER="0" HEIGHT="10" WIDTH="10"></TD>
<TD nowrap="nowrap" width="90"><%=localPart + " " + name%>:</TD>


<TD nowrap="nowrap">
<% if (namespaceUri.startsWith("http://www.w3.org/") && namespaceUri.endsWith("/XMLSchema")) { %>
<INPUT TYPE="TEXT" NAME="<%=name%>" SIZE="50" class="textinput">
<% } else { %>
<TEXTAREA NAME="<%=name%>" ROWS="10" COLS="35" class="textinput"></TEXTAREA>
<% } %>
</TD>

</TR>

<%
}
%>

</TABLE>

<TABLE BORDER="0" CELLSPACING="0" CELLPADDING="3" WIDTH="100%">
<tr><td>&nbsp;</td></tr>
<TR>
<TD align="right">
<INPUT TYPE="SUBMIT" VALUE="Invoke" class="button">
<% if (inputs.length > 0) { %>
<INPUT TYPE="RESET" VALUE="Clear" class="button">
<% } %>
</TD>
</TR>

</TABLE>


<TABLE BORDER="0" CELLSPACING="0" CELLPADDING="0">
<tr>
<TD><img SRC="doc.gif" ALT="" height="18" width="18"></TD>
<TD class="heading">Documentation</TD>
</tr>
</TABLE>

<TABLE BORDER="0" CELLSPACING="0" CELLPADDING="0" WIDTH="100%">
<tr>
<TD width="18">&nbsp;</TD>
<td><%=documentation == null ? "There is no documentation available for this operation." : documentation%></td>
</tr>
</TABLE>

</div>

</FORM>


</BODY>
</HTML>
