<%@ page errorPage="operationserror.jsp" 
import="com.ibm.etools.webservice.rt.framework.*"
import="com.ibm.etools.webservice.rt.framework.abstraction.GroupManager" 
import="com.ibm.etools.webservice.rt.framework.abstraction.Factory" %>
<%
String groupName = request.getParameter("groupName");
String id = request.getParameter("id");
Group group = Factory.getGroup(request.getContextPath(), groupName);
String resource = group.getResourceFromId(id);
Service service = group.getService(resource);
String documentation = service.getDocumentation();

Boolean isDQSService = new Boolean(false);
if (service.getClass().getName().equals("com.ibm.etools.webservice.rt.dxx.DxxService")) {
	com.ibm.etools.webservice.rt.dxx.DxxService s = (com.ibm.etools.webservice.rt.dxx.DxxService) service;
	if (s.isDQSService()) isDQSService = new Boolean(true);
}



%>

<HTML>
<HEAD>
<TITLE>Methods</TITLE>

<script src="browserstyle.js" type="text/javascript"></script>
<script src="script.js" type="text/javascript"></script>

</HEAD>

<BODY id="treebody" onLoad="modifyDQSHref(<%=isDQSService.toString()%>, <%=service.getMethodNames().length%>)">

<div id="treecontainer">

<TABLE BORDER="0" CELLSPACING="0" CELLPADDING="0" width="100%">

<TR>
<td><img SRC="line_last.gif" ALT="" height="18" width="18"></td>
<TD><img SRC="webservice.gif" ALT="" height="18" width="18"></TD>
<TD align="left" class="heading" colspan="2">ID</TD></TR>

<TR>
<td>&nbsp;</td>
<TD><img SRC="line_notlast.gif" ALT="" height="18" width="18"></TD>
<TD colspan="2"><%=id%></TD>
</TR>


<TR>
<td>&nbsp;</td>
<TD><IMG SRC="operation8.gif" BORDER="0" HEIGHT="18" WIDTH="18"></TD>
<TD class="heading" colspan="2">Operations</TD>
</TR>




<!-- Method -->
<%	String[] names = service.getMethodNames();
	for (int i = 0; i < names.length; i++) { %>
<TR>
<td>&nbsp;</td>
<TD width="18"><img SRC="line_notlast.gif" ALT="" height="18" width="18" /></td>

<TD width="100%"><A HREF="<%=response.encodeURL("actionsInputs.jsp?groupName="+groupName+"&id="+id+"&operationName="+names[i])%>" TARGET="inputs" ID="op_<%=i%>"><%=names[i]%></A></TD>
</TR>

<%	} %>



<TR>
<td>&nbsp;</td>
<TD><img SRC="doc.gif" ALT="" height="18" width="18"></TD>
<TD class="heading" colspan="2">Description</TD>
</TR>

<tr>
<td>&nbsp;</td>
<TD width="18"><img SRC="line_notlast.gif" ALT="" height="18" width="18"></td>
<td><a href="<%=service.makeWsdlLocationUri(request)%>" target="results">WSDL</a></td>
</tr>

<tr>
<td>&nbsp;</td>
<TD width="18"><img SRC="line_notlast.gif" ALT="" height="18" width="18"></td>
<td><a href="<%=service.makeWsdlBindingLocationUri(request)%>" target="results">WSDL Binding</a></td>
</tr>

<tr>
<td>&nbsp;</td>
<TD width="18"><img SRC="line_notlast.gif" ALT="" height="18" width="18"></td>
<td><a href="<%=service.makeWsdlServiceLocationUri(request)%>" target="results">WSDL Service</a></td>
</tr>



<tr>
<td>&nbsp;</td>
<TD width="18"><img SRC="line_notlast.gif" ALT="" height="18" width="18"></td>
<td><a href="<%=service.makeXsdLocationUri(request)%>" target="results">XML Schema</a></td>
</tr>


<TR>
<td>&nbsp;</td>
<TD><img SRC="doc.gif" ALT="" height="18" width="18"></TD>
<TD class="heading" colspan="2">Documentation</TD>
</TR>

<tr>
<td>&nbsp;</td>
<TD valign="top"><img SRC="line_last.gif" ALT="" height="18" width="18"></TD>
<td colspan="2"><%=documentation == null ? "There is no documentation available for this service." : documentation%></td>
</TR>

</TABLE>
</div>


</BODY>
</HTML>