<%@ page errorPage="inputserror.jsp"
import="java.util.Enumeration"
import="java.util.StringTokenizer"
import="com.ibm.etools.webservice.rt.framework.abstraction.GroupManager"
import="com.ibm.etools.webservice.rt.framework.abstraction.Factory"
import="com.ibm.etools.webservice.rt.framework.Group" 
import="com.ibm.etools.webservice.rt.framework.Service"
import="com.ibm.etools.webservice.rt.framework.Operation"
import="com.ibm.etools.webservice.rt.framework.OperationParameter"
%>
<%

String contextPath = request.getContextPath();
String groupName = request.getParameter("groupName");
String id = request.getParameter("id");
String operationName = request.getParameter("operationName");
Group group = Factory.getGroup(contextPath, groupName);

String resource = group.getResourceFromId(id);
Service service = group.getService(resource);
Operation operation = service.findOperation(operationName);
String documentation = operation.getDocumentation();

OperationParameter[] parameters = operation.getParameters();
OperationParameter[] inputs = OperationParameter.getInputs(parameters);

String action_snd  = response.encodeURL(service.makeLocationUri(request) + "/" + operationName);
String action_prep = "actionsInputsDQS.jsp" + "?" + request.getQueryString();

int pCount = 0;
for (java.util.Enumeration e = request.getParameterNames(); e.hasMoreElements();) {
  String pName = (String) e.nextElement();
  if (pName.startsWith("hd_param_"))
    pCount++;
}

java.util.ArrayList callInputParameter = new java.util.ArrayList(pCount);

for (int i = 0; i < pCount; i++) {
  String[] param = new String[5];
//  param[0] = request.getParameter("hd_param_" + i);
  param[1] = request.getParameter("sel_kind_" + i);
  param[2] = request.getParameter("sel_type_" + i);
  if (param[1].equals("IN") || param[1].equals("INOUT")) {
  	if (request.getParameter("chk_null_" + i) != null) param[3] = null; 
 	else param[3] = request.getParameter("txt_value_" + i);
 } else param[3] = null;
 if (request.getParameter("rd_param") != null) {
 	 if (request.getParameter("rd_param").equals("param_" + i)) param[4] ="x";
 } else param[4] = null;
 callInputParameter.add(i, param);
}

if (request.getParameter("btn_upParameter") != null) {
	if (request.getParameter("rd_param") != null) {
		for (int i = 0; i < pCount; i++) {
			if (request.getParameter("rd_param").equals("param_" + i)) {
				Object temp = callInputParameter.get(i);
				if (i == 0) {
					//callInputParameter.set(0, callInputParameter.get(pCount - 1));
					//callInputParameter.set(pCount - 1, temp);
				} else {
					callInputParameter.set(i, callInputParameter.get(i - 1));
					callInputParameter.set(i - 1, temp);
				}
			}
		}
	}

} else if (request.getParameter("btn_downParameter") != null) {

	if (request.getParameter("rd_param") != null) {
		for (int i = 0; i < pCount; i++) {
			if (request.getParameter("rd_param").equals("param_" + i)) {
				Object temp = callInputParameter.get(i);
				if (i == pCount - 1) {
					//callInputParameter.set(pCount - 1, callInputParameter.get(0));
					//callInputParameter.set(0, temp);
				} else {
					callInputParameter.set(i, callInputParameter.get(i + 1));
					callInputParameter.set(i + 1, temp);
				}
			}	
		}
	}
	
} else if (request.getParameter("btn_addParameter") != null) {

	String[] param = new String[5];
  	param[0] = "not used";
  	param[1] = ""; //kind
  	param[2] = ""; //type
  	param[3] = ""; //value
  	param[4] = null;
  	callInputParameter.add(param);

} else if (request.getParameter("btn_removeParameter") != null) {
	if (request.getParameter("rd_param") != null) {
		for (int i = 0; i < pCount; i++) {
			if (request.getParameter("rd_param").equals("param_" + i)) {
				callInputParameter.remove(i);
				break;
			}
		}
	}
	
}



%>

<HTML>
<HEAD>
<TITLE>Inputs</TITLE>

<script src="browserstyle.js" type="text/javascript"></script>
<script src="script.js" type="text/javascript"></script>

</HEAD>

<BODY id="propertiesbody">

<div id="propertiescontainer">

<TABLE BORDER="0" CELLSPACING="0" CELLPADDING="0" WIDTH="100%">
	<TR>
		<TD width="13"><IMG SRC="operation8.gif" BORDER="0" HEIGHT="18" WIDTH="18"></TD>
		<TD nowrap="nowrap" class="heading"><%=operationName%> DQS Operation</TD>
	</tr>

	<tr>
		<TD nowrap="nowrap">&nbsp;</TD>
	</tr>
</table>

<FORM METHOD="POST" ACTION="<%=action_prep%>" NAME="FRM_PREPARE">

<%
for (int i = 0; i < inputs.length; i++) {
  String name = inputs[i].getName();
  javax.xml.namespace.QName qname = inputs[i].getQname();
  String localPart = (qname == null) ? "Element" : qname.getLocalPart();
  String namespaceUri = (qname == null) ? "" : qname.getNamespaceURI();
%>

<TABLE BORDER="0" CELLSPACING="0" CELLPADDING="3" WIDTH="100%">
	<!-- Parameter -->
	<TR>
		<TD WIDTH="13"><IMG SRC="field8.gif" BORDER="0" HEIGHT="10" WIDTH="10"></TD>
		<TD nowrap="nowrap" width="100%"><%=localPart + " " + name%>:</TD>
	</TR>
	<TR>
		<TD nowrap="nowrap" colspan="2">
<%
	if (namespaceUri.startsWith("http://www.w3.org/") && namespaceUri.endsWith("/XMLSchema")) {
%>
		<INPUT TYPE="TEXT" NAME="<%=name%>" SIZE="50" class="textinput"> 
<%
} else {


  if (name.equals("extendedInputParameter")) {


%>
		<TABLE BORDER="0" CELLSPACING="0" CELLPADDING="3" WIDTH="100%">
			<TR>				<TD nowrap="nowrap" rowspan="2">loginInfo:</TD>
				<TD nowrap="nowrap" rowspan="2">
				    <INPUT TYPE="CHECKBOX" NAME="chk_loginInfo" 
				           <%if (request.getParameter("chk_loginInfo") != null) out.print("checked");%> 
				           onClick="chg_chk_null_loginInfo(document.FRM_PREPARE.chk_loginInfo, document.FRM_PREPARE.txt_userid, document.FRM_PREPARE.txt_password)"/>
                </TD>
				<TD nowrap="nowrap">userid:</TD>
				<TD nowrap="nowrap" WIDTH="100%">
				    <INPUT TYPE="TEXT" NAME="txt_userid" SIZE="20" class="textinput" 
				           value='<%if (request.getParameter("txt_userid") != null)%><%=request.getParameter("txt_userid")%>' 
				           <%if (request.getParameter("chk_loginInfo") == null) out.println("disabled");%>/>
 	            </TD>
				
			</TR>
			<TR>
				<TD nowrap="nowrap">password:</TD>
				<TD nowrap="nowrap" WIDTH="100%">
				    <INPUT TYPE="TEXT" NAME="txt_password" SIZE="20" class="textinput"  value='<%if (request.getParameter("txt_password") != null)%><%=request.getParameter("txt_password")%>' 
				           <%if (request.getParameter("chk_loginInfo") == null) out.print("disabled");%>/>
				    </TD>
			</TR>
			<TR>
				<TD nowrap="nowrap">readOnly:</TD>
				<TD nowrap="nowrap">
				    <INPUT TYPE="CHECKBOX" NAME="chk_readOnly" 
				           <%if (request.getParameter("chk_readOnly") != null) out.print("checked");%> 
				           onClick="chg_chk_null_sel(document.FRM_PREPARE.chk_readOnly, document.FRM_PREPARE.sel_readOnly)"/>
				</TD>
				<TD nowrap="nowrap" colspan="2" WIDTH="100%">
				    <SELECT NAME="sel_readOnly" SIZE="1" 
				       <%if (request.getParameter("chk_readOnly") == null) out.println("disabled");%>>
								<%
						  		    String selStr = request.getParameter("sel_readOnly");
									if (selStr == null) selStr = "";
								%>
						 <OPTION <%if (!selStr.equals("true"))%> selected<%%> value="false">false</OPTION>											
						 <OPTION <%if (selStr.equals("true"))%> selected<%%> value="true">true</OPTION>
					 </SELECT>
				</TD>
			</TR>
			<TR>
				<TD nowrap="nowrap">isolationLevel:</TD>
				<TD nowrap="nowrap"><INPUT TYPE="CHECKBOX" NAME="chk_isolationLevel" <%if (request.getParameter("chk_isolationLevel") != null)%>checked<%%> onClick="chg_chk_null_sel(document.FRM_PREPARE.chk_isolationLevel, document.FRM_PREPARE.sel_isolationLevel)"></TD>
				<TD nowrap="nowrap" colspan="2" WIDTH="100%">
				      <SELECT NAME="sel_isolationLevel" SIZE="1" 
				              <%if (request.getParameter("chk_isolationLevel") == null) out.print("disabled");%>>
											<%
												String isoStr = request.getParameter("sel_isolationLevel");
												if (isoStr == null) isoStr = "";
											%>
											<OPTION <%if (isoStr.equals("READ_UNCOMMITTED") || isoStr.equals(""))%> selected<%%> value="READ_UNCOMMITTED">READ_UNCOMMITTED</OPTION>
											<OPTION <%if (isoStr.equals("READ_COMMITTED"))%> selected<%%> value="READ_COMMITTED">READ_COMMITTED</OPTION>
											<OPTION <%if (isoStr.equals("REPEATABLE_READ"))%> selected<%%> value="REPEATABLE_READ">REPEATABLE_READ</OPTION>
											<OPTION <%if (isoStr.equals("SERIALIZABLE"))%> selected<%%> value="SERIALIZABLE">SERIALIZABLE</OPTION>
											<OPTION <%if (isoStr.equals("NONE"))%> selected<%%> value="NONE">NONE</OPTION>
						</SELECT>
				</TD>
			</TR>
			<TR>
				<TD nowrap="nowrap">escapeProcessing:</TD>
				<TD nowrap="nowrap"><INPUT TYPE="CHECKBOX" NAME="chk_escapeProcessing" <%if (request.getParameter("chk_escapeProcessing") != null)%>checked<%%> onClick="chg_chk_null_sel(document.FRM_PREPARE.chk_escapeProcessing, document.FRM_PREPARE.sel_escapeProcessing)"></TD>
				<TD nowrap="nowrap" colspan="2" WIDTH="100%">
				    <SELECT NAME="sel_escapeProcessing" SIZE="1" 
				           <%if (request.getParameter("chk_escapeProcessing") == null) out.print("disabled");%>>
											<%
												String escStr = request.getParameter("sel_escapeProcessing");
												if (escStr == null) escStr = "";
											%>
											<OPTION <%if (!escStr.equals("true"))%> selected<%%> value="false">false</OPTION>
											<OPTION <%if (escStr.equals("true"))%> selected<%%> value="true">true</OPTION>
										</SELECT></TD>
			</TR>
			<TR>
				<TD nowrap="nowrap">startAtRow:</TD>
				<TD nowrap="nowrap"><INPUT TYPE="CHECKBOX" NAME="chk_startAtRow" <%if (request.getParameter("chk_startAtRow") != null)%>checked<%%> onClick="chg_chk_null_txt(document.FRM_PREPARE.chk_startAtRow, document.FRM_PREPARE.txt_startAtRow)"></TD>
				<TD nowrap="nowrap" colspan="2" WIDTH="100%"><INPUT TYPE="TEXT" NAME="txt_startAtRow" SIZE="20" class="textinput"  value='<%if (request.getParameter("txt_startAtRow") != null)%><%=request.getParameter("txt_startAtRow")%>' <%if (request.getParameter("chk_startAtRow") == null)%>disabled<%%>></TD>
			</TR>
			<TR>
				<TD nowrap="nowrap">fetchSize:</TD>
				<TD nowrap="nowrap"><INPUT TYPE="CHECKBOX" NAME="chk_fetchSize" <%if (request.getParameter("chk_fetchSize") != null)%>checked<%%> onClick="chg_chk_null_txt(document.FRM_PREPARE.chk_fetchSize, document.FRM_PREPARE.txt_fetchSize)"></TD>
				<TD nowrap colspan="2" WIDTH="100%"><INPUT TYPE="TEXT" NAME="txt_fetchSize"	SIZE="20" class="textinput" value='<%if (request.getParameter("txt_fetchSize") != null)%><%=request.getParameter("txt_fetchSize")%>' <%if (request.getParameter("chk_fetchSize") == null)%>disabled<%%>></TD>
			</TR>
			<TR>
				<TD nowrap="nowrap">maxFieldSize:</TD>
				<TD nowrap="nowrap"><INPUT TYPE="CHECKBOX" NAME="chk_maxFieldSize" <%if (request.getParameter("chk_maxFieldSize") != null)%>checked<%%> onClick="chg_chk_null_txt(document.FRM_PREPARE.chk_maxFieldSize, document.FRM_PREPARE.txt_maxFieldSize)"></TD>
				<TD nowrap="nowrap" colspan="2" WIDTH="100%"><INPUT TYPE="TEXT" NAME="txt_maxFieldSize" SIZE="20" class="textinput" value='<%if (request.getParameter("txt_maxFieldSize") != null)%><%=request.getParameter("txt_maxFieldSize")%>' <%if (request.getParameter("chk_maxFieldSize") == null)%>disabled<%%>></TD>
			</TR>
			<TR>
				<TD nowrap="nowrap">maxRows:</TD>
				<TD nowrap="nowrap"><INPUT TYPE="CHECKBOX" NAME="chk_maxRows" <%if (request.getParameter("chk_maxRows") != null)%>checked<%%> onClick="chg_chk_null_txt(document.FRM_PREPARE.chk_maxRows, document.FRM_PREPARE.txt_maxRows)"></TD>
				<TD nowrap="nowrap" colspan="2" WIDTH="100%"><INPUT TYPE="TEXT" NAME="txt_maxRows" SIZE="20"	class="textinput" value='<%if (request.getParameter("txt_maxRows") != null)%><%=request.getParameter("txt_maxRows")%>' <%if (request.getParameter("chk_maxRows") == null)%>disabled<%%>></TD>
			</TR>
			<TR>
				<TD nowrap="nowrap">queryTimeout:</TD>
				<TD nowrap="nowrap"><INPUT TYPE="CHECKBOX" NAME="chk_queryTimeout" <%if (request.getParameter("chk_queryTimeout") != null)%>checked<%%> onClick="chg_chk_null_txt(document.FRM_PREPARE.chk_queryTimeout, document.FRM_PREPARE.txt_queryTimeout)"></TD>
				<TD nowrap="nowrap" colspan="2" WIDTH="100%">
				    <INPUT TYPE="TEXT" NAME="txt_queryTimeout" SIZE="20" class="textinput" 
				           value='<%if (request.getParameter("txt_queryTimeout") != null)%><%=request.getParameter("txt_queryTimeout")%>' 
				           <%if (request.getParameter("chk_queryTimeout") == null) out.print("disabled");%>/>
	           </TD>
			</TR>
		</TABLE>
<%


	} else if (name.equals("callInputParameter")) {


%>
		<TABLE BORDER="0" CELLSPACING="0" CELLPADDING="3" WIDTH="100%">
			<TR>
				<TD nowrap="nowrap">spName:</TD>
				<TD nowrap="nowrap" WIDTH="100%" colspan="2"><INPUT TYPE="TEXT" NAME="txt_spName" SIZE="20" class="textinput" value='<%if (request.getParameter("txt_spName") != null)%><%=request.getParameter("txt_spName")%>'>
						<INPUT TYPE="HIDDEN" NAME="hd_paramCount"	value="<%=callInputParameter.size()%>">
				</TD>
				
			</TR>
			<TR>
				<TD nowrap="nowrap">schema:</TD>
				<TD nowrap="nowrap"><INPUT TYPE="CHECKBOX" NAME="chk_schema" <%if (request.getParameter("chk_schema") != null)%>checked<%%> onClick="chg_chk_null_txt(document.FRM_PREPARE.chk_schema, document.FRM_PREPARE.txt_schema)"></TD>
				<TD nowrap="nowrap" WIDTH="100%">
				    <INPUT TYPE="TEXT" NAME="txt_schema" SIZE="20" class="textinput" 
				           value='<%if (request.getParameter("txt_schema") != null)%><%=request.getParameter("txt_schema")%>' 
				           <%if (request.getParameter("chk_schema") == null) out.println("disabled");%>/>
	           </TD>
			</TR>
			<TR>
				<TD nowrap="nowrap">parameters:</TD>
				<TD WIDTH="100%" colspan="2">
				<TABLE BORDER="1" CELLSPACING="0" CELLPADDING="2" WIDTH="100%">
					<TR>
						<TD  align="center" width="10">&nbsp;</TD><TD width="50" align="center">kind</TD><TD width="120" align="center">type</TD><TD width="10" align="center"><NOBR>is NULL</NOBR></TD><TD width="660" align="center">value</TD>
					</TR>
<%
					for (int j = 0; j < callInputParameter.size(); j++) {
  						String[] param = (String[]) callInputParameter.get(j);
%>
					<TR>
						<TD align="center"><INPUT TYPE="radio" name="rd_param" value="param_<%=j%>" <%if (param[4] != null)%> checked<%%>></TD>
						<TD align="center">
							<INPUT TYPE="HIDDEN" NAME="hd_param_<%=j%>"	value="<%=param[1]%>">
								<SELECT NAME="sel_kind_<%=j%>" SIZE="1" onClick="chg_sel_kind(document.FRM_PREPARE.sel_kind_<%=j%>,document.FRM_PREPARE.chk_null_<%=j%>, document.FRM_PREPARE.txt_value_<%=j%>)">
								<OPTION <%if (!param[1].equals("IN") || param[1].equals(""))%> selected<%%> value="IN">IN</OPTION>
								<OPTION <%if (param[1].equals("INOUT"))%> selected<%%> value="INOUT">INOUT</OPTION>
								<OPTION <%if (param[1].equals("OUT"))%> selected<%%> value="OUT">OUT</OPTION>
							</SELECT>
						</TD>
						<TD align="center">
							<SELECT NAME="sel_type_<%=j%>">
								<OPTION value="string"<%if (param[2].equals("string") || param[2] == null)%> selected<%%>>string</OPTION>
								<OPTION value="int"<%if (param[2].equals("int"))%> selected<%%>>int</OPTION>
								<OPTION value="long"<%if (param[2].equals("long"))%> selected<%%>>long</OPTION>
								<OPTION value="float"<%if (param[2].equals("float"))%> selected<%%>>float</OPTION>
								<OPTION value="double"<%if (param[2].equals("double"))%> selected<%%>>double</OPTION>																
								<OPTION value="decimal"<%if (param[2].equals("decimal"))%> selected<%%>>decimal</OPTION>
								<OPTION value="dateTime"<%if (param[2].equals("dateTime"))%> selected<%%>>dateTime</OPTION>
								<OPTION value="time"<%if (param[2].equals("time"))%> selected<%%>>time</OPTION>
								<OPTION value="date"<%if (param[2].equals("date"))%> selected<%%>>date</OPTION>
								<OPTION value="short"<%if (param[2].equals("short"))%> selected<%%>>short</OPTION>
								<OPTION value="byte"<%if (param[2].equals("byte"))%> selected<%%>>byte</OPTION>								
							</SELECT>
						</TD>

						<TD align="center">
							<INPUT TYPE="checkbox" NAME="chk_null_<%=j%>" <%if (param[3] == null)%> checked<%%> <%if (param[1].equals("OUT"))%> disabled<%%> onClick="chg_chk_null(document.FRM_PREPARE.chk_null_<%=j%>,document.FRM_PREPARE.txt_value_<%=j%>)">
						</TD>
						<TD align="center">
							<TEXTAREA NAME="txt_value_<%=j%>" ROWS="2" COLS="90" class="textinput" <%if (param[3] == null || param[1] == "OUT")%>disabled<%%>><%if (param[3] != null)%><%=param[3]%></TEXTAREA>
						</TD>
<!--
						<TD align="center">
							<INPUT TYPE="SUBMIT" VALUE="remove" class="button_small" name="btn_removeParameter_<%=j%>">
						</TD>
-->						
					</TR>
<%
					}
%>
					<TR>
						<TD align="center" colspan="5">
							<nobr>
								<INPUT TYPE="SUBMIT" VALUE="  up  " class="button" name="btn_upParameter" alt="move parameter up">
								<INPUT TYPE="SUBMIT" VALUE="down" class="button" name="btn_downParameter">
								<INPUT TYPE="SUBMIT" VALUE="add" class="button" name="btn_addParameter">
								<INPUT TYPE="SUBMIT" VALUE="remove" class="button" name="btn_removeParameter">
							</nobr>
						</TD>
					</TR>
				</TABLE>
				</TD>
			</TR>
		</TABLE>

<%


	} else if (name.equals("tablesInputParameter")) {


%> 

		<TABLE BORDER="0" CELLSPACING="0" CELLPADDING="3" WIDTH="100%">
			<TR>
				<TD nowrap="nowrap">catalogPattern:</TD>
				<TD nowrap="nowrap"><INPUT TYPE="CHECKBOX" NAME="chk_catalogPattern" <%if (request.getParameter("chk_catalogPattern") != null)%>checked<%%> onClick="chg_chk_null_txt(document.FRM_PREPARE.chk_catalogPattern, document.FRM_PREPARE.txt_catalogPattern)"></TD>
				<TD nowrap="nowrap" WIDTH="100%">
				    <INPUT TYPE="TEXT" NAME="txt_catalogPattern" SIZE="20"	class="textinput" 
				           value='<%if (request.getParameter("txt_catalogPattern") != null)%><%=request.getParameter("txt_catalogPattern")%>' 
				           <%if (request.getParameter("chk_catalogPattern") == null) out.print("disabled");%>/>
	            </TD>
			</TR>
			<TR>
				<TD nowrap="nowrap">schemaPattern:</TD>
				<TD nowrap="nowrap"><INPUT TYPE="CHECKBOX" NAME="chk_schemaPattern" <%if (request.getParameter("chk_schemaPattern") != null)%>checked<%%> onClick="chg_chk_null_txt(document.FRM_PREPARE.chk_schemaPattern, document.FRM_PREPARE.txt_schemaPattern)"></TD>
				<TD nowrap="nowrap" WIDTH="100%"><INPUT TYPE="TEXT" NAME="txt_schemaPattern" SIZE="20"	class="textinput" value='<%if (request.getParameter("txt_schemaPattern") != null)%><%=request.getParameter("txt_schemaPattern")%>' <%if (request.getParameter("chk_schemaPattern") == null)%>disabled<%%>></TD>
			</TR>
			<TR>
				<TD nowrap="nowrap">tableNamePattern:</TD>
				<TD nowrap="nowrap"><INPUT TYPE="CHECKBOX" NAME="chk_tableNamePattern" <%if (request.getParameter("chk_tableNamePattern") != null)%>checked<%%> onClick="chg_chk_null_txt(document.FRM_PREPARE.chk_tableNamePattern, document.FRM_PREPARE.txt_tableNamePattern)"></TD>
				<TD nowrap="nowrap" WIDTH="100%">
				    <INPUT TYPE="TEXT" NAME="txt_tableNamePattern" SIZE="20"	class="textinput" 
				    value='<%if (request.getParameter("txt_tableNamePattern") != null)%><%=request.getParameter("txt_tableNamePattern")%>' 
				    <%if (request.getParameter("chk_tableNamePattern") == null) out.print("disabled");%>/>
			   </TD>
			</TR>
		</TABLE>			


<%


	} else if (name.equals("columnsInputParameter")) {


%>
		<TABLE BORDER="0" CELLSPACING="0" CELLPADDING="3" WIDTH="100%">
			<TR>
				<TD nowrap="nowrap">catalogPattern:</TD>
				<TD nowrap="nowrap"><INPUT TYPE="CHECKBOX" NAME="chk_catalogPattern" <%if (request.getParameter("chk_catalogPattern") != null)%>checked<%%> onClick="chg_chk_null_txt(document.FRM_PREPARE.chk_catalogPattern, document.FRM_PREPARE.txt_catalogPattern)"></TD>
				<TD nowrap="nowrap" WIDTH="100%"><INPUT TYPE="TEXT" NAME="txt_catalogPattern" SIZE="20"	class="textinput" value='<%if (request.getParameter("txt_catalogPattern") != null)%><%=request.getParameter("txt_catalogPattern")%>' <%if (request.getParameter("chk_catalogPattern") == null)%>disabled<%%>></TD>
			</TR>
			<TR>
				<TD nowrap="nowrap">schemaPattern:</TD>
				<TD nowrap="nowrap"><INPUT TYPE="CHECKBOX" NAME="chk_schemaPattern" <%if (request.getParameter("chk_schemaPattern") != null)%>checked<%%> onClick="chg_chk_null_txt(document.FRM_PREPARE.chk_schemaPattern, document.FRM_PREPARE.txt_schemaPattern)"></TD>
				<TD nowrap="nowrap" WIDTH="100%"><INPUT TYPE="TEXT" NAME="txt_schemaPattern" SIZE="20"	class="textinput" value='<%if (request.getParameter("txt_schemaPattern") != null)%><%=request.getParameter("txt_schemaPattern")%>' <%if (request.getParameter("chk_schemaPattern") == null)%>disabled<%%>></TD>
			</TR>
			<TR>
				<TD nowrap="nowrap">tableNamePattern:</TD>
				<TD nowrap="nowrap"><INPUT TYPE="CHECKBOX" NAME="chk_tableNamePattern" <%if (request.getParameter("chk_tableNamePattern") != null)%>checked<%%> onClick="chg_chk_null_txt(document.FRM_PREPARE.chk_tableNamePattern, document.FRM_PREPARE.txt_tableNamePattern)"></TD>
				<TD nowrap="nowrap" WIDTH="100%"><INPUT TYPE="TEXT" NAME="txt_tableNamePattern" SIZE="20"	class="textinput" value='<%if (request.getParameter("txt_tableNamePattern") != null)%><%=request.getParameter("txt_tableNamePattern")%>' <%if (request.getParameter("chk_tableNamePattern") == null)%>disabled<%%>></TD>
			</TR>
			<TR>
				<TD nowrap="nowrap">columnNamePattern:</TD>
				<TD nowrap="nowrap"><INPUT TYPE="CHECKBOX" NAME="chk_columnNamePattern" <%if (request.getParameter("chk_columnNamePattern") != null)%>checked<%%> onClick="chg_chk_null_txt(document.FRM_PREPARE.chk_columnNamePattern, document.FRM_PREPARE.txt_columnNamePattern)"></TD>
				<TD nowrap="nowrap" WIDTH="100%">
				    <INPUT TYPE="TEXT" NAME="txt_columnNamePattern" SIZE="20"	class="textinput" 
				    value='<%if (request.getParameter("txt_columnNamePattern") != null)%><%=request.getParameter("txt_columnNamePattern")%>' 
				    <%if (request.getParameter("chk_columnNamePattern") == null) out.print("disabled");%>/>
			    </TD>
			</TR>
		</TABLE> 
<%


		}
	}


%>
	</TD>

	</TR>

<%
}
%>
</TABLE>
</FORM>

<FORM METHOD="POST" ACTION="<%=action_snd%>" NAME="FRM_SEND" TARGET="results">
<TABLE BORDER="0" CELLSPACING="0" CELLPADDING="3" WIDTH="100%">
	<TR>
		<TD align="right">
<%
for (int i = 0; i < inputs.length; i++) {
  String name = inputs[i].getName();
%>
		<INPUT TYPE="HIDDEN" NAME="<%=name%>">
<%
}
%>
			<INPUT TYPE="BUTTON" VALUE="Invoke" class="button" onClick="prepareParameters(document.FRM_PREPARE,document.FRM_SEND); FRM_SEND.submit();">
		</TD>
	</TR>
</TABLE>
</FORM>

<TABLE BORDER="0" CELLSPACING="0" CELLPADDING=0>
	<tr>
		<TD><img SRC="doc.gif" ALT="" height="18" width="18"></TD>
		<TD class="heading">Documentation</TD>
	</tr>
</TABLE>

<TABLE BORDER="0" CELLSPACING="0" CELLPADDING="0" WIDTH="100%">
	<tr>
		<TD width="18">&nbsp;</TD>
		<td><%=documentation == null ? "There is no documentation available for this operation." : documentation%></td>
	</tr>
</TABLE>

</div>


</BODY>
</HTML>
